Subject: Re: bug#38614: 26.3; Info completions in reverse order

From: Howard Melman <[email-masked]>
Date: Wed, 26 Aug 2020 19:39:52 -0400

> On Aug 26, 2020, at 7:20 PM, Stefan Kangas <[email-masked]> wrote:
> 
> I made the change and tested the default, ido-mode, fido-mode and
> icomplete.  I did not observe any regressions in terms of performance or
> sort order for any of them.
> 
> In addition, I have also been bothered by this issue in the past using
> Ivy, and can confirm that the proposed fix solves the issue.
> 
> So I have now made that change on the master branch (commit 5a1785d58a).
> If anyone notices any adverse effects from this change, feel free to
> revert it.

Thank you for doing this.

I have one small comment on your patch.  The comment "Sort list alphabetically." is not correct.  The result of adding the call to nreverse means the list will be in the order the items were found in the info node.  In the case of an index node that will be alphabetically, in the case of other nodes, it is unlikely to be.

Is it the case that this won't show up until Emacs 28.1?

Howard